---
title: cleanupListOfValues
svgo:
  pluginId: cleanupListOfValues
  parameters:
    floatPrecision:
      description: Number of decimal places to round to, using conventional rounding rules.
      default: 3
    leadingZero:
      description: If to trim leading zeros.
      default: true
    defaultPx:
      description: If to remove the units when it's `px`, as this is the default if not specified.
      default: true
    convertToPx:
      description: If to convert absolute units like `cm` and `in` to `px`.
      default: true
---

Rounds numeric values in attributes, such as those found in [`viewBox`](https://developer.mozilla.org/docs/Web/SVG/Attribute/viewBox), [`enable-background`](https://developer.mozilla.org/docs/Web/SVG/Attribute/enable-background), and [`points`](https://developer.mozilla.org/docs/Web/SVG/Attribute/points).
